Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.listeners.gateway
Enum SqlTableGatewayListener.ROW_STATE

    java.lang.Object
      java.lang.Enum<SqlTableGatewayListener.ROW_STATE>
          org.jboss.soa.esb.listeners.gateway.SqlTableGatewayListener.ROW_STATE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SqlTableGatewayListener.ROW_STATE>

Enclosing class:
  SqlTableGatewayListener

    public static enum SqlTableGatewayListener.ROW_STATE

extends java.lang.Enum<SqlTableGatewayListener.ROW_STATE>

Enum Constant Summary
`Done`
`Error`
`Pending`
`Working`

Method Summary
`static SqlTableGatewayListener.ROW_STATE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SqlTableGatewayListener.ROW_STATE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Pending

    public static final SqlTableGatewayListener.ROW_STATE Pending

### Working

    public static final SqlTableGatewayListener.ROW_STATE Working

### Error

    public static final SqlTableGatewayListener.ROW_STATE Error

### Done

    public static final SqlTableGatewayListener.ROW_STATE Done

Method Detail

### values

    public static final SqlTableGatewayListener.ROW_STATE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SqlTableGatewayListener.ROW_STATE c : SqlTableGatewayListener.ROW_STATE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SqlTableGatewayListener.ROW_STATE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD